Name:           f-spot
Version:        0.8.2
Release:        10%{?dist}
Summary:        Photo management application

Group:          Applications/Multimedia
#f-spot/src: GPLv2+
#f-spot/lib/gio-sharp: MIT
#f-spot/lib/gtk-sharp-beans: LGPLv2
#f-spot/lib/Hyena: MIT
#f-spot/lib/libfspot: GPLv2+
#f-spot/lib/Mono.Google: MIT
#f-spot/lib/Mono.Tabblo: MIT
#f-spot/lib/TagLib: LGPLv2
#f-spot/lib/unique-sharp: GPLv2+
License:        GPLv2+ and LGPLv2 and MIT
URL:            http://f-spot.org/
Source0:        http://ftp.gnome.org/pub/gnome/sources/f-spot/0.8/f-spot-%{version}.tar.bz2
# don't unmount cameras before importing
Patch3:         0001-simplify-f-spot-import.patch
# PixbufLoader from gtk-sharp/master does not have a Close () overload which takes a boolean parameter:
# http://git.gnome.org/browse/f-spot/commit/?id=9d6e8052b188c2b1cb310ef05842da74a730a39f
Patch5:         0001-PixbufLoader-from-gtk-sharp-master-does-not-have-a-C.patch

BuildRequires:  mono-devel mono-web mono-data mono-data-sqlite lcms-devel
BuildRequires:  libexif-devel gphoto2-devel
BuildRequires:  gtk-sharp2-devel libgnome-devel libgnomeui-devel
BuildRequires:  gtk2-devel mono-devel libjpeg-devel sqlite-devel
BuildRequires:  gnome-sharp-devel gnome-desktop-sharp-devel gtk-sharp2-gapi
BuildRequires:  gettext
BuildRequires:  autoconf, automake, libtool, intltool
BuildRequires:  perl(XML::Parser)
BuildRequires:  gnome-doc-utils
BuildRequires:  ndesk-dbus-glib-devel
BuildRequires:  mono-addins-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-keyring-sharp-devel
BuildRequires:  GConf2
BuildRequires:  unique-devel
BuildRequires:  flickrnet-devel
Requires:       sqlite
Requires:       lcms-libs
Requires:       dcraw
Requires:       hicolor-icon-theme 
Requires:       yelp
Requires:       libgphoto2
Requires:       gtk2, gnome-vfs2, libgnomeui, libGL, libXcomposite
Requires:       unique
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun):GConf2

# no mono available
ExcludeArch: sparc64

# Some compiler segfault on ia64:
ExcludeArch: ia64

# No libgphoto etc on s390
ExcludeArch: s390

%description
F-Spot is an application designed to provide personal photo management
to the GNOME desktop. Features include import, export, printing and advanced
sorting and tagging of digital images. 

%package screensaver
Summary: F-Spot gnome-screensaver plugin
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: gnome-screensaver

%description screensaver
F-Spot provides a plugin for gnome-screensaver which displays parts of the
photo collection in a slideshow as a screensaver.

%prep
%setup -q
%patch3 -F 2 -p1 -b .gvfs-gphoto
%patch5 -p1 -b mono28-compile-fix

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure --disable-scrollkeeper --disable-static --libdir=%{_prefix}/lib
make V=1 %{?_smp_mflags}

%install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="/usr/bin/install -p"

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

rm $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig/f-spot.pc

# only files marked executable are used to auto-generate the
# requires/provides of the package
find $RPM_BUILD_ROOT \( -name '*.exe' -or -name '*.dll' \) \
     -exec chmod a+x {} \;

# mono's .config files don't need to be executable
find $RPM_BUILD_ROOT -name '*.config' -exec chmod a-x {} \;

for file in $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
do
   desktop-file-validate $file
done

%find_lang %name

%pre
%gconf_schema_prepare f-spot

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%gconf_schema_upgrade f-spot

%preun
%gconf_schema_remove f-spot

%postun
update-desktop-database &> /dev/null ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help/f-spot/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/f-spot/
%dir %{_prefix}/lib/f-spot/
%{_prefix}/lib/f-spot/*.dll
%{_prefix}/lib/f-spot/*.exe
%{_prefix}/lib/f-spot/*.addins
%{_prefix}/lib/f-spot/*.config
%{_prefix}/lib/f-spot/*.mdb
%{_prefix}/lib/f-spot/*.so
%{_prefix}/lib/f-spot/*.so.*
%exclude %{_prefix}/lib/f-spot/Extensions/FSpot.Tools.ScreensaverConfig.dll*
%{_prefix}/lib/f-spot/Extensions/
%{_bindir}/f-spot
%{_bindir}/f-spot-import
%{_bindir}/f-spot-sqlite-upgrade

%files screensaver
%defattr(-,root,root,-)
%{_prefix}/lib/f-spot/Extensions/FSpot.Tools.ScreensaverConfig.dll
%{_prefix}/libexec/gnome-screensaver/f-spot-screensaver
%{_datadir}/applications/screensavers/f-spot-screensaver.desktop

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 0.8.2-9
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 0.8.2-8
- rebuild against new libjpeg

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.8.2-5
- Rebuild for new libpng

* Mon Oct 31 2011 Christian Krause <chkr@fedoraproject.org> - 0.8.2-4
- Change paths for mono assemblies according to updated packaging
  guidelines (http://fedoraproject.org/wiki/Packaging:Mono)

* Sun Jul 03 2011 Christian Krause <chkr@fedoraproject.org> - 0.8.2-3
- Rebuilt for FTBFS (BZ 715807)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 30 2010 Christian Krause <chkr@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2 (BZ 665988)
- Fix support of CRW files (BZ 663824)
- Removed upstreamed patch

* Sun Dec 12 2010 Christian Krause <chkr@fedoraproject.org> - 0.8.0-5
- Merge-review cleanup (#225773)

* Sun Oct 24 2010 Christian Krause <chkr@fedoraproject.org> - 0.8.0-4
- Rebuilt for Mono 2.8
- Add two upstream patches to fix compile issues with Mono 2.8

* Sun Oct 17 2010 Christian Krause <chkr@fedoraproject.org> - 0.8.0-3
- Fix f-spot-import script (don't unmount gvfs mounts)

* Thu Sep 30 2010 Christian Krause <chkr@fedoraproject.org> - 0.8.0-2
- Add upstream patch to prevent crash with empty databases

* Thu Sep 30 2010 Christian Krause <chkr@fedoraproject.org> - 0.8.0-1
- Add explicit BR for libSM-devel and libICE-devel (BZ 638938)
- Update to 0.8.0 (BZ 633172)
- Removed upstreamed patch

* Tue Sep 07 2010 Christian Krause <chkr@fedoraproject.org> - 0.7.2-2
- Add patch to properly comment out some make rules (BZ 631287)

* Sat Aug 14 2010 Christian Krause <chkr@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2
- Removed upstreamed patches

* Thu Jul 15 2010 Christian Krause <chkr@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1
- Update patch to support parallel builds

* Wed Jun 23 2010 Christian Krause <chkr@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0
- Remove patches fixed upstream
- Add patch to support parallel builds

* Tue Jun 01 2010 Christian Krause <chkr@fedoraproject.org> - 0.6.2-2
- Rebuilt against new mono-addins

* Mon May 24 2010 Christian Krause <chkr@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2 (BZ 592895)
- Remove patch to use system mono-addins (fixed upstream)
- Update patch to use system keyring-sharp library
- Add scriptlets for schemas file
- Fix warning when installing schemas file
- Add unique(-devel) as (Build)Requires

* Fri Mar 05 2010 Christian Krause <chkr@fedoraproject.org> - 0.6.1.5-3
- Add missing dependencies

* Mon Dec 14 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.5-2
- Corrected the permission fix for all .exe and .dll files in order
  to generate the dependencies correctly (BZ 547063)

* Sun Nov 08 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.5-1
- Update to 0.6.1.5 (BZ 531955)
- Build f-spot against system gnome-keyring-sharp library (BZ 442343)
- Make all .dll and .exe files executable so that they are respected
  by the find-requires/find-provides scripts
- Remove upstreamed patch

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.6.1.3-2
- ExcludeArch sparc64

* Sun Oct 04 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.3-1
- Update to 0.6.1.3 (BZ 526217)
- Remove two upstreamed patches
- Use a slightly different fix for the cairo-devel dependency 
  (suggested by upstream)

* Wed Sep 30 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.2-3
- Add patch to fix f-spot crash when using "soft focus" and cairo-devel
  was not installed (BZ 526563)
- Minor spec file beautification

* Tue Sep 22 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.2-2
- Add upstream patches (
  commit b87604bc9782bf92f053aaf3ceb739a32f44ea13
  commit 807dab4344ecdadc7e46793369821de8b49692e5 )
  to fix crash in facebook exporter (BZ 524860)

* Thu Sep 17 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.2-1
- Update to 0.6.1.2 (BZ 519290)

* Fri Aug 28 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.1-2
- Move the screensaver plugin into a sub-package (BZ 519640)
- Let f-spot-screensaver obsolete older f-spot version so that it
  is pulled in during update (fresh installations of f-spot will not
  pull in gnome-screensaver)

* Wed Aug 26 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.1-1
- Update to 0.6.1.1
- Remove upstreamed patch
- Updated use-system-Mono.Addins-if-available patch
- Add a patch to enable parallel build 

* Sun Aug 09 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.0.0-3
- Build arch ppc64.

* Sun Aug 09 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.0.0-2
- Fix Icon Cache script in %%post section

* Sun Aug 09 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.0.0-1
- Update to new upstream version 0.6.0.0
- Cleanup spec file

* Sat Jul 25 2009 Christian Krause <chkr@fedoraproject.org> - 0.5.0.3-9
- Avoid showing f-spot twice for photo imports
- Make f-spot-import work with gvfs
- Minor indentation fix

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.5.0.3-6
- Rebuild against new mono stack to fix broken deps

* Thu Dec  4 2008 Matthias Clasen <mclasen@redhat.com> - 0.5.0.3-5
- Update to 0.5.0.3

* Fri Nov 21 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.4-8
- Better URL
- Tweak %%description

* Tue Oct 28 2008 Orion Poplawski <orion@cora.nwra.com.com> - 0.4.4-7
- Run desktop-file-validate against desktop files

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.4-6
- rebuild against new gnome-sharp

* Thu Oct  2 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.4-5
- Use a standard icon name instead of a non-existing one

* Mon Jul 14 2008 Nigel Jones <dev@nigelj.com> - 0.4.4-4
- Remove Tom's patch in -2, there is a gtk-sharp 2.12.1, just nobody bothered
  packaging it.
- Patch Makefile{.in,am} to use DESTDIR for the gio-sharp.dll, this is
  effectively a backport of r4010 Upstream.
- Patch libfspot/Makefile{.in,am} to remove -DGTK_DISABLE_DEPRECATED per
  recommendation of upstream.
- Re-add patch to use system mono-addins
- Include GIO stuff for now (until it appears in gtk-sharp)

* Wed Jul  5 2008 Alex Lancaster <alexlan[AT] fedoraproject org> - 0.4.4-3
- gtkhtml dependency now provided by gnome-desktop-sharp-devel
  rather than gnome-sharp-devel, so add as BuildRequires

* Wed Jun  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.4-2
- Fix it to not look for non-existant glib-sharp-2.12.1

* Wed Jun  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.4-1
- update to 0.4.4
- fix license tag

* Tue May 13 2008 Matthias Clasen <mclasne@redhat.com> - 0.4.3.1-1
- Update to 0.4.3.1

* Tue Apr 15 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.4.2-5
- Add patch from Debian to use system mono-addins (from #442343)

* Sat Mar  1 2008 Christopher Aillon <caillon@redhat.com> - 0.4.2-4
- Require dcraw

* Fri Feb 29 2008 Christopher Aillon <caillon@redhat.com> - 0.4.2-3
- Fix the build

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.2-2
- Autorebuild for GCC 4.3

* Thu Feb 14 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.2-1
- Update to 0.4.2

* Fri Jan 18 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.1-2
- Add support for content-types

* Thu Dec  6 2007 Matthias Clasen <mclasen@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Sat Nov 17 2007 Matthias Clasen <mclasen@redhat.com> - 0.4.0-4
- Remove comments from ExclusiveArch line (#388581)

* Tue Oct  2 2007 Matthias Clasen <mclasen@redhat.com> - 0.4.0-3
- Add alpha to ExclusiveArch

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.4.0-2
- Rebuild for build ID

* Sat Aug  4 2007 Matthis Clasen <mclasen@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Mon Jul  2 2007 Christopher Aillon <caillon@redhat.com> - 0.3.5-3
- Hack to get screensavers to work again (#221546)

* Fri Apr 13 2007 Christopher Aillon <caillon@redhat.com> - 0.3.5-2
- Now with validated desktop files!

* Wed Mar  7 2007 Christopher Aillon <caillon@redhat.com> - 0.3.5-1
- Update to 0.3.5

* Wed Feb 28 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.4-1
- Update to 0.3.4

* Tue Feb 13 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Tue Jan 23 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Fri Oct 20 2006 Christopher Aillon <caillon@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Mon Oct 16 2006 Matthias Clasen <mclasen@redhat.com> - 0.2.1-2
- Fix a directory ownership issue (#211009)

* Wed Sep 13 2006 Christopher Aillon <caillon@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Tue Sep 12 2006 Matthias Clasen <mclasen@redhat.com> - 0.2.0-2
- Add libgphoto2_port version to dll config (#205302)

* Mon Sep  4 2006 Christopher Aillon <caillon@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.1.11-5
- Rebuild with new mono and gtk-sharp2

* Thu Jul 27 2006 Matthias Clasen <mclasen@redhat.com> - 0.1.11-4
- Fix dbus-sharp BR

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.1.11-3.1
- rebuild

* Sun Jun 24 2006 Jesse Keating <jkeating@redhat.com> 0.1.11-3
- Add missing BR gettext

* Wed May 31 2006 Alexander Larsson <alexl@redhat.com> 0.1.11-2
- Rebuild for gmime update

* Fri Mar 17 2006 Christopher Aillon <caillon@redhat.com> 0.1.11-1
- Update to 0.1.11

* Fri Feb 24 2006 Christopher Aillon <caillon@redhat.com> 0.1.10-1
- Update to 0.1.10

* Tue Feb 21 2006 Karsten Hopp <karsten@redhat.de> 0.1.9-2
- add BuildRequires  libgnome-devel libgnomeui-devel
  gtk2-devel mono-devel libjpeg-devel sqlite-devel

* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 0.1.9-1
- Update to 0.1.9

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 0.1.8-3
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.1.8-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> - 0.1.8-2
- Add sqlite3.patch to ensure that sqlite3 is used if both
  sqlite2 and sqlite3 are installed.

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> - 0.1.8-1
- Update to 0.1.8
- Use sqlite3 instead of sqlite2

* Tue Jan 31 2006 Ray Strode <rstrode@redhat.com> - 0.1.5-3
- don't blindly run f-spot from current working directory
  (bug 177407)

* Tue Jan 10 2006 Alexander Larsson <alexl@redhat.com> - 0.1.5-2
- Add lcms depencency

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Thu Dec  8 2005 Alexander Larsson <alexl@redhat.com> 0.1.3-3
- Use sqlite2 to avoid problems with beagle

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> 0.1.3-2
- Make exes and dlls executable to pick up dependencies
- Remove .a and .la files

* Wed Nov 16 2005 Alexander Larsson <alexl@redhat.com> - 0.1.3-1
- Initial version

